Use this API to unlock a locked user in OneLogin.
The API will check if the specified user is locked, call for an unlock, and return a JSON response with the successful or unsuccessful completion of the unlock.
Resource URL
https://<subdomain>.onelogin.com/api/2/users/<user_id>/unlockSample Response
- 200 Success
- 400 Bad Request
- 401 Unauthorized
- 422 Error
The user is unlocked.
{
"messsage": "User unlocked"
}{
"message": "unknown attribute: user_id",
"name": "BadRequestError",
"statusCode": 400
}Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"name": "UnauthorizedError",
"statusCode": 401
}{
"message": "Validation failed: Username must be unique within {subdomain}",
"name": "UnprocessableEntityError",
"statusCode": 422
}{
"message": "User cannot be unlocked"
}Postman Collection
Replace sample variables indicated by < > in the sample request body with your actual values. Also, be sure to set Postman-specific environment variables indicated by {{ }}.
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
curl 'https://<subdomain>.onelogin.com/api/2/users/<12345>/unlock' \
-X POST \
-H "Authorization: bearer <access_token>" \
-H "Content-Type: application/json"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.